Index: chord.cpp
===================================================================
--- chord.cpp	(revision 4262)
+++ chord.cpp	(working copy)
@@ -819,6 +819,8 @@
             if (tag == "Note") {
                   Note* note = new Note(score());
                   note->setChord(this);
+                  // the note needs to know the properties of the track it belongs to
+                  note->setTrack(track());
                   note->read(e);
                   add(note);
                   }
Index: note.cpp
===================================================================
--- note.cpp	(revision 4262)
+++ note.cpp	(working copy)
@@ -682,6 +682,8 @@
                   setUserAccidental(i);
             else if (tag == "Accidental") {
                   Accidental* a = new Accidental(score());
+                  // the accidental needs to know the properties of the track it belongs to
+                  a->setTrack(track());
                   a->read(e);
                   add(a);
                   }
